## ezmlm 0.53+5+1

=== Makefile ===
#$Id: Makefile,v 1.117 1999/12/23 02:42:12 lindberg Exp $
#$Name: ezmlm-idx-040 $
SHELL=/bin/sh
SQLCC=`head -1 conf-sqlcc`
SQLLD=`head -1 conf-sqlld`
default: it

clean:: \
TARGETS
	rm -f `cat TARGETS`

alloc.0: \
alloc.3
	nroff -man alloc.3 > alloc.0

alloc.a: \
makelib alloc.o alloc_re.o
	./makelib alloc.a alloc.o alloc_re.o

alloc.o: \
compile alloc.c alloc.h alloc.c error.h alloc.c
	./compile alloc.c

alloc_re.o: \
compile alloc_re.c alloc.h alloc_re.c byte.h alloc_re.c
	./compile alloc_re.c

author.o: \
compile author.c mime.h
	./compile author.c

auto-ccld.sh: \
conf-cc conf-ld warn-auto.sh
	( cat warn-auto.sh; \
	echo CC=\'`head -1 conf-cc`\'; \
	echo LD=\'`head -1 conf-ld`\' \
	) > auto-ccld.sh

auto-str: \
load auto-str.o substdio.a error.a str.a
	./load auto-str substdio.a error.a str.a 

auto-str.o: \
compile auto-str.c substdio.h auto-str.c readwrite.h auto-str.c \
exit.h auto-str.c
	./compile auto-str.c

auto_cron.c: \
auto-str conf-cron
	./auto-str auto_cron `head -1 conf-cron` > auto_cron.c

auto_cron.o: \
compile auto_cron.c
	./compile auto_cron.c

auto_bin.c: \
auto-str conf-bin
	./auto-str auto_bin `head -1 conf-bin` > auto_bin.c

auto_bin.o: \
compile auto_bin.c
	./compile auto_bin.c

auto_qmail.c: \
auto-str conf-qmail
	./auto-str auto_qmail `head -1 conf-qmail` > auto_qmail.c

auto_qmail.o: \
compile auto_qmail.c
	./compile auto_qmail.c

byte_chr.o: \
compile byte_chr.c byte.h byte_chr.c
	./compile byte_chr.c

byte_copy.o: \
compile byte_copy.c byte.h byte_copy.c
	./compile byte_copy.c

byte_cr.o: \
compile byte_cr.c byte.h byte_cr.c
	./compile byte_cr.c

byte_diff.o: \
compile byte_diff.c byte.h byte_diff.c
	./compile byte_diff.c

byte_rchr.o: \
compile byte_rchr.c byte.h byte_rchr.c
	./compile byte_rchr.c

byte_zero.o: \
compile byte_zero.c byte.h byte_zero.c
	./compile byte_zero.c

case.0: \
case.3
	nroff -man case.3 > case.0

case.a: \
makelib case_diffb.o case_diffs.o case_starts.o case_lowerb.o case_startb.o
	./makelib case.a case_diffb.o case_lowerb.o case_startb.o \
	case_diffs.o case_starts.o

case_diffb.o: \
compile case_diffb.c case.h case_diffb.c
	./compile case_diffb.c

case_diffs.o: \
compile case_diffs.c case.h
	./compile case_diffs.c

case_lowerb.o: \
compile case_lowerb.c case.h case_lowerb.c
	./compile case_lowerb.c

case_startb.o: \
compile case_startb.c case.h case_startb.c
	./compile case_startb.c

checktag.o: \
compile checktag.c stralloc.h scan.h fmt.h strerr.h cookie.h \
	errtxt.h subscribe.h conf-sqlcc
	./compile checktag.c ${SQLCC}

case_starts.o: \
compile case_starts.c case.h
	./compile case_starts.c

compile: \
make-compile warn-auto.sh systype
	( cat warn-auto.sh; ./make-compile "`cat systype`" ) > \
	compile
	chmod 755 compile

constmap.o: \
compile constmap.c constmap.h constmap.c alloc.h constmap.c case.h \
constmap.c
	./compile constmap.c

cookie.o: \
compile cookie.c cookie.h cookie.c str.h cookie.c uint32.h cookie.c \
surfpcs.h uint32.h surfpcs.h cookie.c
	./compile cookie.c

copy.o: \
compile copy.c copy.h stralloc.h substdio.h str.h readwrite.h open.h qmail.h \
strerr.h getln.h case.h errtxt.h mime.h error.h quote.h
	./compile copy.c

date2yyyymm.o:\
compile date2yyyymm.c yyyymm.h
	./compile date2yyyymm.c

dateline.o:\
compile dateline.c yyyymm.h stralloc.h fmt.h
	./compile dateline.c

date822fmt.o: \
compile date822fmt.c datetime.h date822fmt.c fmt.h date822fmt.c \
date822fmt.h date822fmt.c
	./compile date822fmt.c

datetime.0: \
datetime.3
	nroff -man datetime.3 > datetime.0

datetime.o: \
compile datetime.c datetime.h datetime.c
	./compile datetime.c

direntry.0: \
direntry.3
	nroff -man direntry.3 > direntry.0

direntry.h: \
compile trydrent.c direntry.h1 direntry.h2
	( ./compile trydrent.c >/dev/null 2>&1 \
	&& cat direntry.h2 || cat direntry.h1 ) > direntry.h
	rm -f trydrent.o

concatHDR.o: \
compile concatHDR.c mime.h stralloc.h strerr.h byte.h errtxt.h
	./compile concatHDR.c

decodeB.o: \
compile decodeB.c mime.h uint32.h stralloc.h strerr.h errtxt.h
	./compile decodeB.c

decodeHDR.o: \
compile decodeHDR.c mime.h stralloc.h strerr.h error.h case.h byte.h \
uint32.h errtxt.h
	./compile decodeHDR.c

decodeQ.o: \
compile decodeQ.c mime.h stralloc.h strerr.h errtxt.h
	./compile decodeQ.c

encodeB.o: \
compile encodeB.c mime.h uint32.h stralloc.h strerr.h errtxt.h
	./compile encodeB.c

encodeQ.o: \
compile encodeQ.c mime.h stralloc.h strerr.h errtxt.h
	./compile encodeQ.c

unfoldHDR.o: \
compile unfoldHDR.c mime.h stralloc.h strerr.h errtxt.h
	./compile unfoldHDR.c

env.0: \
env.3
	nroff -man env.3 > env.0

env.a: \
makelib env.o envread.o
	./makelib env.a env.o envread.o

env.o: \
compile env.c env.h str.h
	./compile env.c

envread.o: \
compile envread.c env.h envread.c str.h envread.c
	./compile envread.c

error.0: \
error.3
	nroff -man error.3 > error.0

error.a: \
makelib error.o error_str.o
	./makelib error.a error.o error_str.o

error.o: \
compile error.c error.c error.h error.c
	./compile error.c

error_str.0: \
error_str.3
	nroff -man error_str.3 > error_str.0

error_str.o: \
compile error_str.c error_str.c error.h error_str.c
	./compile error_str.c

error_temp.0: \
error_temp.3
	nroff -man error_temp.3 > error_temp.0

ezmlm-accept: \
ezmlm-accept.sh warn-auto.sh conf-bin
	(cat warn-auto.sh; \
	echo EZPATH=\'`head -1 conf-bin`\'; \
	cat ezmlm-accept.sh ) > ezmlm-accept

ezmlm-accept.0: \
ezmlm-accept.1
	nroff -man ezmlm-accept.1 > ezmlm-accept.0

ezmlm-archive: \
load ezmlm-archive.o getconf.o slurpclose.o slurp.o getln.a sig.a \
strerr.a substdio.a stralloc.a alloc.a error.a str.a fs.a open.a \
lock.a fd.a getopt.a idxthread.o yyyymm.a
	./load ezmlm-archive getconf.o slurpclose.o slurp.o getln.a sig.a \
	idxthread.o yyyymm.a strerr.a substdio.a stralloc.a alloc.a \
	error.a str.a fs.a open.a lock.a fd.a getopt.a

ezmlm-archive.0: \
ezmlm-archive.1
	nroff -man ezmlm-archive.1 > ezmlm-archive.0

ezmlm-archive.o: \
compile ezmlm-archive.c alloc.h error.h stralloc.h gen_alloc.h str.h \
sig.h slurp.h getconf.h strerr.h getln.h substdio.h readwrite.h \
makehash.h fmt.h strerr.h errtxt.h idx.h idxthread.h sgetopt.h subgetopt.h
	./compile ezmlm-archive.c

ezmlm-cgi: \
load ezmlm-cgi.o getconf.o slurpclose.o slurp.o constmap.o getln.a sig.a \
mime.a strerr.a substdio.a stralloc.a alloc.a error.a str.a fs.a open.a \
lock.a fd.a getopt.a env.a case.a datetime.o now.o mime.a wait.a yyyymm.a
	./load ezmlm-cgi getconf.o slurpclose.o slurp.o constmap.o getln.a \
	mime.a sig.a env.a case.a datetime.o now.o mime.a wait.a yyyymm.a \
	strerr.a substdio.a stralloc.a alloc.a error.a str.a fs.a open.a \
	lock.a fd.a getopt.a

ezmlm-cgi.0: \
ezmlm-cgi.1
	nroff -man ezmlm-cgi.1 > ezmlm-cgi.0

ezmlm-cgi.o: \
compile ezmlm-cgi.c alloc.h error.h stralloc.h gen_alloc.h str.h \
sig.h slurp.h getconf.h strerr.h getln.h substdio.h readwrite.h env.h \
makehash.h fmt.h strerr.h errtxt.h idx.h idxthread.h mime.h \
constmap.h sgetopt.h subgetopt.h datetime.h now.h fork.h wait.h
	./compile ezmlm-cgi.c

ezmlm-check: \
ezmlm-check.sh warn-auto.sh conf-bin
	(cat warn-auto.sh; \
	echo EZPATH=\'`head -1 conf-bin`\'; \
	echo QMPATH=\'`head -1 conf-qmail`\'; \
	cat ezmlm-check.sh ) > ezmlm-check

ezmlm-check.0: \
ezmlm-check.1
	nroff -man ezmlm-check.1 > ezmlm-check.0

ezmlm-clean: \
load ezmlm-clean.o auto_qmail.o getconf.o copy.o mime.a \
now.o datetime.o date822fmt.o slurpclose.o slurp.o qmail.o quote.o \
getln.a env.a sig.a strerr.a substdio.a stralloc.a alloc.a surf.a \
error.a str.a fs.a case.a open.a seek.a wait.a lock.a fd.a cookie.o getopt.a
	./load ezmlm-clean auto_qmail.o getconf.o copy.o mime.a \
	now.o datetime.o date822fmt.o slurpclose.o \
	slurp.o qmail.o quote.o getln.a env.a sig.a strerr.a \
	substdio.a stralloc.a alloc.a error.a str.a fs.a case.a \
	open.a seek.a wait.a lock.a fd.a cookie.o getopt.a surf.a

ezmlm-clean.0: \
ezmlm-clean.1
	nroff -man ezmlm-clean.1 > ezmlm-clean.0

ezmlm-clean.o: \
compile ezmlm-clean.c error.h stralloc.h gen_alloc.h str.h \
env.h sig.h slurp.h getconf.h strerr.h byte.h getln.h case.h copy.h mime.h \
qmail.h substdio.h readwrite.h seek.h quote.h datetime.h now.h cookie.h \
date822fmt.h direntry.h fmt.h strerr.h errtxt.h idx.h sgetopt.h subgetopt.h
	./compile ezmlm-clean.c

ezmlm-cron: \
load ezmlm-cron.o strerr.a stralloc.a alloc.a error.a open.a auto_qmail.o \
getopt.a getln.a str.a substdio.a sig.a fs.a open.a fd.a lock.a wait.a \
case.a auto_cron.o
	./load ezmlm-cron getopt.a getln.a strerr.a substdio.a \
	stralloc.a alloc.a sig.a fs.a open.a fd.a lock.a error.a \
	wait.a case.a str.a auto_qmail.o auto_cron.o

ezmlm-cron.0: \
ezmlm-cron.1
	nroff -man ezmlm-cron.1 > ezmlm-cron.0

ezmlm-cron.o: \
compile ezmlm-cron.c strerr.h substdio.h stralloc.h error.h str.h \
fork.h readwrite.h wait.h errtxt.h idx.h sgetopt.h auto_qmail.h \
fmt.h auto_cron.h
	./compile ezmlm-cron.c

ezmlm-gate: \
load ezmlm-gate.o subdb.a auto_bin.o getopt.a getln.a env.a sig.a strerr.a \
stralloc.a alloc.a error.a str.a case.a wait.a substdio.a open.a lock.a \
fs.a getconf.o slurpclose.o slurp.o seek.a conf-sqlld
	./load ezmlm-gate subdb.a getconf.o slurpclose.o slurp.o \
	getopt.a getln.a auto_bin.o env.a sig.a fs.a \
	strerr.a substdio.a stralloc.a alloc.a error.a str.a case.a wait.a \
	open.a lock.a seek.a ${SQLLD}

ezmlm-gate.0: \
ezmlm-gate.1
	nroff -man ezmlm-gate.1 > ezmlm-gate.0

ezmlm-gate.o: \
compile ezmlm-gate.c idx.h errtxt.h subscribe.h auto_bin.h \
sgetopt.h subgetopt.h substdio.h getconf.h \
env.h sig.h strerr.h stralloc.h alloc.h error.h str.h case.h \
fork.h wait.h exit.h getln.h open.h
	./compile ezmlm-gate.c

ezmlm-get: \
load ezmlm-get.o idxthread.o subdb.a auto_qmail.o getopt.a now.o getconf.o \
datetime.o date822fmt.o slurpclose.o slurp.o qmail.o quote.o makehash.o \
cookie.o surf.a yyyymm.a \
constmap.o getln.a env.a sig.a strerr.a substdio.a mime.a stralloc.a alloc.a \
error.a str.a fs.a case.a open.a seek.a wait.a lock.a fd.a copy.o conf-sqlld
	./load ezmlm-get idxthread.o subdb.a auto_qmail.o getopt.a getconf.o \
	now.o datetime.o date822fmt.o cookie.o makehash.o slurpclose.o slurp.o \
	yyyymm.a \
	constmap.o substdio.a copy.o mime.a strerr.a stralloc.a alloc.a \
	qmail.o quote.o surf.a getln.a env.a sig.a \
	error.a str.a fs.a case.a \
	open.a seek.a wait.a lock.a fd.a ${SQLLD}

ezmlm-get.o: \
compile ezmlm-get.c idx.h errtxt.h error.h getconf.h stralloc.h gen_alloc.h \
str.h cookie.h env.h sig.h slurp.h strerr.h byte.h getln.h case.h qmail.h \
substdio.h readwrite.h seek.h quote.h sgetopt.h subgetopt.h datetime.h now.h \
date822fmt.h fmt.h strerr.h copy.h errtxt.h idx.h idxthread.h mime.h \
constmap.h makehash.h
	./compile ezmlm-get.c

ezmlm-get.0: \
ezmlm-get.1
	nroff -man ezmlm-get.1 > ezmlm-get.0

ezmlm-greturn: \
load ezmlm-greturn.o quote.o getconf.o subdb.a log.o \
slurpclose.o slurp.o now.o cookie.o surf.a lock.a env.a sig.a \
strerr.a getln.a substdio.a stralloc.a alloc.a error.a str.a fs.a \
case.a open.a conf-sqlld
	./load ezmlm-greturn quote.o getconf.o subdb.a \
	log.o slurpclose.o slurp.o now.o cookie.o surf.a lock.a \
	env.a sig.a strerr.a getln.a substdio.a stralloc.a alloc.a \
	error.a str.a fs.a case.a open.a ${SQLLD}

ezmlm-greturn.0: \
ezmlm-greturn.1
	nroff -man ezmlm-greturn.1 > ezmlm-greturn.0

ezmlm-greturn.o: \
compile ezmlm-greturn.c stralloc.h gen_alloc.h stralloc.h str.h env.h sig.h \
slurp.h getconf.h strerr.h byte.h case.h getln.h substdio.h error.h \
quote.h readwrite.h fmt.h datetime.h now.h cookie.h \
strerr.h subscribe.h
	./compile ezmlm-greturn.c

ezmlm-gwarn: \
load ezmlm-gwarn.o auto_qmail.o getconf.o mime.a cookie.o subdb.a now.o \
slurpclose.o slurp.o quote.o datetime.o date822fmt.o qmail.o surf.a \
case.a strerr.a sig.a getln.a substdio.a stralloc.a alloc.a error.a \
open.a lock.a str.a fs.a fd.a wait.a copy.o getopt.a conf-sqlld
	./load ezmlm-gwarn auto_qmail.o getconf.o mime.a \
	cookie.o subdb.a getopt.a \
	now.o slurpclose.o slurp.o quote.o datetime.o date822fmt.o \
	qmail.o surf.a case.a strerr.a sig.a getln.a substdio.a \

=== debian/changelog ===
ezmlm (0.53+5+1) jessie; urgency=medium

  * New Version

 -- Go Debian Build Agent <go-iaas-noreply@noris.de>  Mon, 21 Mar 2016 13:50:03 +0100

ezmlm (0.53-7.9) stable; urgency=low

  * RT#462028: Subjects "ezmlm warning"/"ezmlm probe" übersetzbar machen

 -- Matthias Urlichs <smurf@noris.de>  Wed, 01 Oct 2008 18:18:09 +0200

ezmlm (0.53-7.3) stable; urgency=low

  * Rebuild für etch.

 -- Matthias Urlichs <smurf@noris.net>  Wed, 11 Jul 2007 09:57:55 +0200

ezmlm (0.53-7.2) stable; urgency=low

  * Fixup of the std => mysql switch.

 -- Matthias Urlichs <smurf@debian.org>  Wed, 19 May 2004 14:51:26 +0200

ezmlm (0.53-7.1) stable; urgency=low

  * MySQL support.
  * Backport to stable.

 -- Matthias Urlichs <smurf@debian.org>  Wed, 21 Apr 2004 12:31:44 +0200

ezmlm (0.53-8) unstable; urgency=low

  * debian/copyright: clarified a bit that ezmlm it's non-free.
  * error.h: fix errno for newer libc
  * Updated Standards.

 -- Roberto Lumbreras <rover@debian.org>  Sat, 15 Nov 2003 20:18:00 +0100

ezmlm (0.53-7) unstable; urgency=low

  * Fix bad dependency on build-essential package. (closes: #143221)

 -- Roberto Lumbreras <rover@debian.org>  Sat, 11 May 2002 01:13:11 +0200

ezmlm (0.53-6) unstable; urgency=low

  * debian/rules: fix postinst/prerm.

 -- Roberto Lumbreras <rover@debian.org>  Sat, 16 Feb 2002 21:36:29 +0100

ezmlm (0.53-5) unstable; urgency=low

  * Unstall ezmlm-cgi. (closes: #111947)
  * Ignore gzip errors/warnings. (closes: #65983)
  * Bugs fixed by NMUs: (closes: #76716, #119380, #130536)

 -- Roberto Lumbreras <rover@debian.org>  Fri,  8 Feb 2002 19:13:25 +0100

ezmlm (0.53-4.1) unstable; urgency=low

  * NMU.
  * Now rules install ezmlmrc in /etc/ezmlm not in /etc.
  * conffiles changed as consequence.
    (closes: #76716)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu,  7 Feb 2002 15:03:37 +0100

ezmlm (0.53-4) unstable; urgency=low

  * Updated to ezmlm-idx v0.40.
  * Standards 3.1.1.

 -- Roberto Lumbreras <rover@debian.org>  Tue,  9 May 2000 21:48:05 +0200

ezmlm (0.53-3.1) unstable; urgency=low

  * I took out the ezdomo.tar.gz and ezdomo.pl.tar.gz files;
    as diff cannot represent changes to binary files, they cannot
    be in the debianization patch.
  * Made the postinst warn about digest changes only if upgrading
    from earlier than 0.53-3.
  * Updated to ezmlm-idx v0.313.
  * Non-maintainer upload.

 -- Tommi Virtanen <tv@debian.org>  Thu,  3 Dec 1998 21:06:15 +0200

ezmlm (0.53-3) frozen unstable; urgency=low

  * fixed dependencies (dpkg-dev (>= 1.4.0.20), patch (>= 2.5-0bo1)
  * updated build-PACKAGE script, thanks to Philip Hands.
  * updated to ezmlm-idx 0.30 patches from Fred Lindberg, now MIME'd
    messages should be handled properly.
  * fix for ezmlm-get
  * added ezmlmrc.se

 -- Roberto Lumbreras <rover@debian.org>  Tue, 14 Apr 1998 05:45:01 +0200

ezmlm (0.53-2) unstable; urgency=low

  * lintian: spelling-error-in-description powerfull
  * rewrote package description
  * wrote QUICKSTART
  * add generation of ezmlm-src package, thanks to Philip Hands
  * recommends running build-ezmlm in postinst

 -- Roberto Lumbreras <rover@debian.org>  Sat, 14 Mar 1998 04:38:47 +0100

ezmlm (0.53-1) unstable; urgency=low
  
  * new package, please note it is SOURCE ONLY!
  * merged ezmlm-053 with ezmlm-idx-0.231
  * binary package is named ezmlm-idx and not ezmlm to make clear
    that it is not the original unpatched ezmlm.
  
 -- Roberto Lumbreras <rover@debian.org>  Thu,  5 Mar 1998 04:50:07 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: ezmlm
Section: non-free/mail
Priority: optional
Maintainer: Roberto Lumbreras <rover@debian.org>
Standards-Version: 3.6.1
Build-Depends: libmysqlclient15-dev

Package: ezmlm-src
Architecture: all
Depends: dpkg-dev (>= 1.4.0.20), patch (>= 2.5-0bo1), fakeroot | sudo, gcc, make
Description: easy-to-use high-speed mailing list manager for qmail (source)
 This is a source only package for building serialmail binary
 package from source, because Dan Bernstein (serialmail's author)
 only gives permission for qmail to be distributed in source form,
 or binary for by approval.
 .
 Written by Dan J. Bernstein, ezmlm is a powerful mailing list
 manager for qmail. This package includes ezmlm-idx patches by
 Fred Lindberg, providing to ezmlm moderation, indexing, digests...
 .
 ezmlm features:
  -cryptographic cookies are used to protect users against false
   subscription requests: forged (un)subscriptions are not possible
  -automatic processing of subscription and unsubscription requests
  -maintains a list archive for automatic retrieval
  -automatic handling of bounce messages (yes, AUTOMATIC)
  -a user only is unsubscribed if his email is unreachable for 10 days
  -forwarding loops detection
  -reliable, even in the face of system crashes
  -can be used for a sublist, redistributing messages from another list
  -huge mailing lists are not a problem
 .
 ezmlm-idx features:
  -subscription/message moderation and remote administration
  -easy moderation, without passwords or special headers to send
  -forged moderations are not possible (cryptographic cookies)
  -any number of moderators is possible
  -threaded archive retrieval
  -digest lists
  -remote administrators can retrieve a subscriber list
  -restricted posting to list subscribers

=== debian/rules ===
#!/usr/bin/make -f
#
# Copyright (C) 1998-2000 Roberto Lumbreras <rover@debian.org>
# Copying: GPL

SHELL	=	/bin/bash

PACKAGE	=	$(shell perl -e 'print <> =~ /^(.*) \(.*\)/' debian/changelog)
PKG_VER	=	$(shell perl -e 'print <> =~ /\((.*)\)/' debian/changelog)
PKG_UPVER=	$(shell perl -e 'print <> =~ /\((.*)-[^-]*\)/' debian/changelog)

CFLAGS	=	-Wall -g
INSTALL	=	install
INSTALL_FILE	= $(INSTALL) -p    -o root -g root  -m  644
INSTALL_PROGRAM	= $(INSTALL) -p    -o root -g root  -m  755
INSTALL_SCRIPT	= $(INSTALL) -p    -o root -g root  -m  755
INSTALL_DIR	= $(INSTALL) -p -d -o root -g root  -m  755

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

##BINS	= $(shell grep :/: BIN | grep -v 'rc:$$' | awk -F: '{ print $$6; }')

BINS	=	ezmlm-archive ezmlm-issubn ezmlm-make \
		ezmlm-manage ezmlm-send ezmlm-request ezmlm-reject \
		ezmlm-return ezmlm-warn ezmlm-weed ezmlm-list ezmlm-clean \
		ezmlm-cron ezmlm-limit ezmlm-store ezmlm-split ezmlm-moderate \
		ezmlm-sub ezmlm-unsub ezmlm-idx ezmlm-gate \
		ezmlm-tstdig ezmlm-get ezmlm-cgi

SHBINS	=	ezmlm-accept ezmlm-glconf ezmlm-mktab ezmlm-check

MAN1	= $(shell grep /man1/ MAN | awk -F: '{ print $$6; }')
MAN5	= $(shell grep /man5/ MAN | awk -F: '{ print $$6; }')

DOCS	=	BLURB DOWNGRADE.idx FAQ.idx INSTALL INSTALL.idx README \
		README.idx THANKS TODO UPGRADE.idx debian/QUICKSTART

RCS	= $(shell ls -1 ezmlmrc.* | grep -v '\.5$$') ezmlmglrc ezmlmsubrc

build:	build-stamp

build-stamp:
	echo $(CC) $(CFLAGS) > conf-cc.
	tail +2 conf-cc >> conf-cc.; mv conf-cc. conf-cc
	echo $(CC) $(LDFLAGS) > conf-ld.
	tail +2 conf-ld >> conf-ld.; mv conf-ld. conf-ld
	$(MAKE) mysql
	$(MAKE)
	touch build-stamp

binary:	binary-indep binary-arch # binary-src

binary-indep:

binary-arch:    checkroot build
	$(RM) -r debian/tmp
	$(INSTALL_DIR) debian/tmp/{DEBIAN,etc,etc/ezmlm,usr/{bin,share/{man/man{1,5},doc/$(PACKAGE)-idx/examples}}}
	$(INSTALL_PROGRAM) $(BINS) debian/tmp/usr/bin/
	$(INSTALL_SCRIPT) $(SHBINS) debian/tmp/usr/bin/
	$(INSTALL_FILE) $(MAN1) debian/tmp/usr/share/man/man1/
	$(INSTALL_FILE) $(MAN5) debian/tmp/usr/share/man/man5/
	$(INSTALL_FILE) $(DOCS) debian/tmp/usr/share/doc/ezmlm-idx/
	$(INSTALL_FILE) ezmlmrc debian/tmp/etc/ezmlm/ezmlmrc
	$(INSTALL_FILE) $(RCS) debian/tmp/usr/share/doc/ezmlm-idx/examples/
	$(INSTALL_FILE) CHANGES debian/tmp/usr/share/doc/ezmlm-idx/changelog
	$(INSTALL_FILE) CHANGES.idx debian/tmp/usr/share/doc/ezmlm-idx/changelog.idx
	$(INSTALL_FILE) debian/changelog debian/tmp/usr/share/doc/ezmlm-idx/changelog.Debian
	-gzip -9fr debian/tmp/usr/share
	$(INSTALL_FILE) debian/copyright debian/tmp/usr/share/doc/ezmlm-idx/
	sed -e "s/#PACKAGE#/$(PACKAGE)-idx/g" debian/run.postinst > debian/tmp/DEBIAN/postinst
	$(INSTALL_FILE) debian/conffiles debian/tmp/DEBIAN/conffiles
	chmod 0755 debian/tmp/DEBIAN/postinst

	dpkg-shlibdeps $(BINS)
	dpkg-gencontrol -isp -pezmlm-idx -cdebian/control.real
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

binary-src:	checkroot debian/control ../$(PACKAGE)_$(PKG_UPVER).orig.tar.gz ../$(PACKAGE)_$(PKG_VER).dsc ../$(PACKAGE)_$(PKG_VER).diff.gz
	$(RM) -r debian/tmp-src debian/files
	$(INSTALL_DIR) debian/tmp-src/{DEBIAN,usr/{bin,{src,share/doc}/$(PACKAGE)-src}}
	$(INSTALL_SCRIPT) debian/build-PACKAGE debian/tmp-src/usr/bin/build-$(PACKAGE)
	$(INSTALL_FILE) ../$(PACKAGE)_$(PKG_UPVER).orig.tar.gz \
		../$(PACKAGE)_$(PKG_VER).dsc \
		../$(PACKAGE)_$(PKG_VER).diff.gz \
		debian/tmp-src/usr/src/$(PACKAGE)-src/
	sed -e "s/#PACKAGE#/$(PACKAGE)-src/g" debian/src.postinst > debian/tmp-src/DEBIAN/postinst
	chmod 0755 debian/tmp-src/DEBIAN/postinst
	sed -e "s/#PACKAGE#/$(PACKAGE)/g" debian/README-src > debian/tmp-src/usr/share/doc/$(PACKAGE)-src/README.Debian
	chmod 0644 debian/tmp-src/usr/share/doc/$(PACKAGE)-src/README.Debian
	$(INSTALL_FILE) debian/changelog debian/tmp-src/usr/share/doc/$(PACKAGE)-src/changelog.Debian
	$(INSTALL_FILE) debian/README-src debian/tmp-src/usr/share/doc/$(PACKAGE)-src/README.Debian
	-gzip -9fr debian/tmp-src/usr/share
	$(INSTALL_FILE) debian/copyright debian/tmp-src/usr/share/doc/$(PACKAGE)-src/

	dpkg-gencontrol -isp -p$(PACKAGE)-src -Pdebian/tmp-src
	chown -R root.root debian/tmp-src
	chmod -R go=rX debian/tmp-src
	dpkg --build debian/tmp-src ..

debian/control:	debian/control.real
	test -f debian/control.real && sed -e "/^Package: $(PACKAGE)-src$$/b" -e "/^Package: /,/^$$/d" debian/control.real > debian/control

../$(PACKAGE)_$(PKG_UPVER).orig.tar.gz:
	@{ echo "Error: $@ missing"; exit 1; }

../$(PACKAGE)_$(PKG_VER).dsc ../$(PACKAGE)_$(PKG_VER).diff.gz: debian/rules
	debian/rules clean
	S=$$(basename $$(pwd)); \
	cd ..; dpkg-source -b $$S ## $(PACKAGE)-$(PKG_UPVER)

checkdir:
	@test -f debian/rules

checkroot:	checkdir
	@test 0 = `id -u` || { echo "Error: not super-user"; exit 1; }

clean:	checkdir debian/control
	$(RM) build-stamp debian/files debian/substvars
	$(MAKE) clean
	$(RM) ezmlm-mktab checktag.c issub.c logmsg.c subscribe.c opensql.c \
		putsubs.c tagmsg.c searchlog.c conf-sqlld conf-sqlcc
	$(RM) *~ core
	$(RM) -r debian/tmp debian/tmp-src
	echo "cc -O2" > conf-cc.
	tail +2 conf-cc >> conf-cc.; mv conf-cc. conf-cc
	echo "cc -s" > conf-ld.
	tail +2 conf-ld >> conf-ld.; mv conf-ld. conf-ld

.PHONY: build binary binary-indep binary-arch binary-src checkdir checkroot clean
